/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <debug_serial.h>
#include <stdlib.h>

void IntToAsciiTx(int16 Hex)
{   
    uint8 Digit[6];
    
    /*(Condition)?(ASCII value for '+'):(ASCII value for '-');*/
    (Hex<0)?(Digit[0]=0x2D):(Digit[0]=0x2B);     
    Hex=abs(Hex);
    
    Digit[1]=((Hex/10000)%10)+'0';          /* Ten Thousand place digit*/
    Digit[2]=((Hex/1000)%10)+'0';           /* Thousand place digit*/
    Digit[3]=((Hex/100)%10)+'0';            /* Hundred place digit*/   
    Digit[4]=((Hex/10)%10)+'0';             /* Ten place digit*/
    Digit[5]=((Hex/1)%10)+'0';              /* Unit place digit*/
    
    /* Put array in TX FIFO and wait till all elements are placed */
    Cy_SCB_UART_PutArrayBlocking(UART_HW,Digit,sizeof(Digit)); 
    /* Wait till all the data is sent and TX fifo is empty */
    while(!Cy_SCB_IsTxComplete(UART_HW));   
}

/* [] END OF FILE */
